Package org.apache.sling.distribution.journal.shared

# Class NoOpInvalidationProcessor

java.lang.Object
org.apache.sling.distribution.journal.shared.NoOpInvalidationProcessor

All Implemented Interfaces:
  `org.apache.sling.distribution.InvalidationProcessor`

public class NoOpInvalidationProcessor extends Object implements org.apache.sling.distribution.InvalidationProcessor

## Constructor Summary

Constructors
Constructor
Description
`NoOpInvalidationProcessor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`process(Map<String,Object> props)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NoOpInvalidationProcessor

public NoOpInvalidationProcessor()

## Method Details

### process

public void process(Map<String,Object> props) throws org.apache.sling.distribution.InvalidationProcessException

Specified by:
  `process` in interface `org.apache.sling.distribution.InvalidationProcessor`
Throws:
  `org.apache.sling.distribution.InvalidationProcessException`